Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.io
Class IteratorAdapterInputComponent

    java.lang.Object
      calhoun.analysis.crf.io.IteratorAdapterInputComponent

All Implemented Interfaces:
  java.util.Iterator<java.util.Map<java.lang.String,InputSequence<?>>>

    public class IteratorAdapterInputComponent

extends java.lang.Object
implements java.util.Iterator<java.util.Map<java.lang.String,InputSequence<?>>>

utility adapter class for creating an iterator of input components from an `InputSequenceComposite` iterator.

Constructor Summary
`IteratorAdapterInputComponent(java.util.Iterator<? extends InputSequence<?>> parent)` constructs an iterator that separates out the input components of the parent iterator

Method Summary
`boolean` | `hasNext()`
`java.util.Map<java.lang.String,InputSequence<?>>` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IteratorAdapterInputComponent

    public IteratorAdapterInputComponent(java.util.Iterator<? extends InputSequence<?>> parent)

  constructs an iterator that separates out the input components of the parent iterator

  Parameters:
    `parent` - the iterator over composite input sequences

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<java.util.Map<java.lang.String,InputSequence<?>>>`

### next

    public java.util.Map<java.lang.String,InputSequence<?>> next()

  Specified by:
    `next` in interface `java.util.Iterator<java.util.Map<java.lang.String,InputSequence<?>>>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<java.util.Map<java.lang.String,InputSequence<?>>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD